# heroku_collaborator – Add or delete app collaborators on Heroku

New in version 2.6.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Status

## Synopsis

- Manages collaborators for Heroku apps.

- If set to `present` and heroku user is already collaborator, then do nothing.

- If set to `present` and heroku user is not collaborator, then add user to app.

- If set to `absent` and heroku user is collaborator, then delete user from app.

## Requirements

The below requirements are needed on the host that executes this module.

- heroku3

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_key - |  | Heroku API key
apps - / required |  | List of Heroku App names

state
-

Choices:
- present ←
- absent

Create or remove the heroku collaborator

suppress_invitation
boolean

Choices:
- no ←
- yes

Suppress email invitation when creating collaborator

user - / required |  | User ID or e-mail

## Notes

Note

- `HEROKU_API_KEY` and `TF_VAR_HEROKU_API_KEY` env variable can be used instead setting c(api_key).

- If you use –check, you can also pass the -v flag to see affected apps in `msg`, e.g. [“heroku-example-app”].

## Examples

    - heroku_collaborator:
        api_key: YOUR_API_KEY
        user: max.mustermann@example.com
        apps: heroku-example-app
        state: present

    - heroku_collaborator:
        api_key: YOUR_API_KEY
        user: '{{ item.user }}'
        apps: '{{ item.apps | default(apps) }}'
        suppress_invitation: '{{ item.suppress_invitation | default(suppress_invitation) }}'
        state: '{{ item.state | default("present") }}'
      with_items:
        - { user: 'a.b@example.com' }
        - { state: 'absent', user: 'b.c@example.com', suppress_invitation: false }
        - { user: 'x.y@example.com', apps: ["heroku-example-app"] }

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Marcel Arns (@marns93)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.